/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "src/styles/openk.styles";

:host {
  display: block;
}

.text-block {
  display: flex;
  flex-direction: column;
  overflow-x: hidden;
  background-color: get-color($openk-default-palette);
  flex: 1;
}

.text-block--container {
  display: flex;
  flex-direction: row;
}

.text-block--container--icon {
  align-self: center;
  width: 30px;
}

.text-block--container--icon---size {
  font-size: 25px;
}

.text-block--container--icon---red {
  color: get-color($openk-danger-palette, 200);
}

.text-block--container--icon---green {
  color: get-color($openk-success-palette, 500);
}

.text-block---new {
  border: 1px dashed get-color($openk-default-palette, 900);
  border-radius: 6px;
  overflow-x: hidden;
  flex: 1;
  padding: 0.125em 0.375em;
}

.text-block--modified---top {
  border: 1px dashed get-color($openk-danger-palette, 200);
  border-radius: 6px 6px 0 0;
  border-bottom: 0;
  overflow-x: hidden;
  background: get-color($openk-danger-palette, 50);
}

.text-block--modified---bottom {
  border: 1px dashed get-color($openk-success-palette, 500);
  border-radius: 0 0 6px 6px;
  border-top: 0;
  overflow-x: hidden;
  background: get-color($openk-success-palette, 100);
  padding: 0.125em 0.375em;
  flex: 1;
}

.text-block--modified--color---new {
  background: get-color($openk-success-palette, 100);
  border-color: get-color($openk-success-palette, 500);
}

.text-block--modified--color---deleted {
  background: get-color($openk-danger-palette, 50);
  border-color: get-color($openk-danger-palette, 200);
}

.text-block--title-bar {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.text-block--title-bar--title {
  font-style: italic;
  margin-right: 0.2em;
  font-size: 0.8em;
}

.text-block--text {
  white-space: break-spaces;
  word-break: break-word;
}
